rm(list=ls(all=TRUE))   #clean up workspace
setwd("C:/Users/rebec/Documents/Thesis/Seawhip Data/Bifurcation Ratio")
Rb <- read.csv("Bifurcation Ratio.csv", head=T)
head(Rb)

attach(Rb)

#data sheet has outliers for Site 1 removed

#Boxplot

with(Rb,boxplot(Rb~Site,xlab="Site",ylab="Bifurcation Ratio"))

#QQPlot
Rb.lm <- lm(Rb~Site,data=Rb)
qqnorm(Rb.lm$residuals)
qqline(Rb.lm$residuals)

#ANOVA
anova(Rb.lm)

summary(Rb.lm)

#Subsetting to get the average
Site1 <- subset(Rb, subset=(Site=="1")) 
Site2 <- subset(Rb, subset=(Site=="2"))
Site3 <- subset(Rb, subset=(Site=="3"))
Site4 <- subset(Rb, subset=(Site=="4"))

RbS1 <- mean(Site1$Rb); RbS1 #Rb of Site 1
RbS2 <- mean(Site2$Rb); RbS2 #Rb of Site 2
RbS3 <- mean(Site3$Rb); RbS3 #Rb of Site 3
RbS4 <- mean(Site4$Rb); RbS4 #Rb of Site 4

