rm(list=ls(all=TRUE))   #clean up workspace
setwd("C:/Users/rebec/Documents/Thesis/Seawhip Data/Age and Length")
Age <- read.csv("Collected Seawhip Age Data.csv",head=T)

#Site descriptions (mean, var)
names(Age)
table(Site) #24 at site 1, 26 at site 2, 29 at site 3, 23 at site 4

Site <- as.factor(Site)

tapply(Age$Age,Age$Site,mean)
tapply(Age$Age,Age$Site,var)


#Boxplot
with(Age,boxplot(Age~Site,xlab="Site",ylab="Age (years)")) #by site
with(Age,boxplot(Age),xlab="all corals",ylab="Age (years)") #all corals


#Histogram of total length distribution for all sites 
ggplot(Age, aes(Age)) + geom_histogram(binwidth=0.5)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), 
                     panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))


#QQPlot of residuals 
Age.lm <- lm(Age~Site,data=Age)
qqnorm(Age.lm$residuals)
qqline(Age.lm$residuals)

#ANOVA
anova(Age.lm)
summary(Age.lm)

#KS Test
MB <- c(7,8,8,5,9,8,7,8,8,7,9,2,3,4,4,4,7,6,6,6,8,8,6,6)
SL <- c(5,7,4,8,7,8,5,7,11,9,7,5,7,8,8,12,10,9,9,13,13,6,14,10,11,15)
SUS <- c(7,6,7,5,6,7,7,7,10,7,7,7,6,8,8,6,7,6,13,6,9,8,5,12,7,8,6,9,7)
BOOM <- c(6,7,7,7,8,5,6,5,7,8,7,8,9,9,7,10,7,7,7,6,7,6,12)


ks.test(MB,SL)
ks.test(MB,SUS)
ks.test(MB,BOOM)
ks.test(SL,SUS)
ks.test(SL,BOOM)
ks.test(SUS,BOOM)


