rm(list=ls(all=TRUE))   #clean up workspace
setwd("C:/Users/rebec/Documents/Thesis/Seawhip Data/Age and Length")
TL <- read.csv("SeawhipTL.csv",head=T)
head(TL)
library(ggplot2)

attach(TL)
names(TL)
table(Site) #gives N of each site 
tapply(TL$TL,TL$Site,mean)
tapply(TL$TL,TL$Site,var)

#Boxplot
with(TL,boxplot(TL~Site,xlab="Site",ylab="Total Length (mm)")) #by site
with(TL,boxplot(TL),xlab="all corals",ylab="Total Length (mm)") #all corals
quantile(TL, c(0.25, 0.5, 0.75), type = 1) 


#Histogram of total length distribution for all sites 
ggplot(TL, aes(TL)) + geom_histogram(binwidth=80)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), 
                     panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))


#QQPlot of residuals 
TL.lm <- lm(TL~Site,data=TL)
qqnorm(TL.lm$residuals)
qqline(TL.lm$residuals)

#ANOVA
anova(TL.lm)
summary(TL.lm)


#Subsetting each Site 
Site1 <- subset(TL, subset=(Site=="MemorialBarge")) 
Site2 <- subset(TL, subset=(Site=="SouthLedges"))
Site3 <- subset(TL, subset=(Site=="Sussex"))
Site4 <- subset(TL, subset=(Site=="Boom"))

ggplot(Site1, aes(TL)) + geom_histogram(binwidth=80)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))

ggplot(Site2, aes(TL)) + geom_histogram(binwidth=80)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))

ggplot(Site3, aes(TL)) + geom_histogram(binwidth=80)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))

ggplot(Site4, aes(TL)) + geom_histogram(binwidth=80)+
  theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(), panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))


#KS Test
MB <- c(545,541,672,720,437,486,515,647,494,651,601,83,122,114,130,172,452,503,340,462,403,562,463,412)
SL <- c(206,230,271,282,184,340,423,343,543,551,570,194,432,517,613,640,583,774,296,629,533,625,853,551,764,802)
SUS <- c(340,232,271,276,319,441,367,551,515,491,561,386,375,550,642,323,536,572,764,351,805,410,313,729,710,551,519,516,558)
BOOM <- c(261,243,319,557,507,565,431,403,376,423,422,436,537,556,325,536,639,442,545,349,679,553,566)     


ks.test(MB,SL)
ks.test(MB,SUS)
ks.test(MB,BOOM)
ks.test(SL,SUS)
ks.test(SL,BOOM)
ks.test(SUS,BOOM)

