rm(list=ls(all=TRUE))   #clean up workspace
setwd("C:/Users/rebec/Documents/Thesis/Seawhip Data/Initial Size Frequency Data Analysis")
TL <- read.csv("In-Situ Seawhip TL.csv",head=T)
head(TL)
library(ggplot2)

names(TL)
table(Site) #gives N of each site. (MB-29; SL-28; SUS-31; BOOM-31) 119 total 
tapply(TL$TL,TL$Site,mean)
tapply(TL$TL,TL$Site,var)

#Boxplot
with(TL,boxplot(TL~Site,xlab="Site",ylab="Total Length (mm)")) #by site
with(TL,boxplot(TL),xlab="all corals",ylab="Total Length (mm)") #all corals

#QQPlot of residuals 
TL.lm <- lm(TL~Site,data=TL)
qqnorm(TL.lm$residuals)
qqline(TL.lm$residuals)

#ANOVA
anova(TL.lm)
summary(TL.lm)

#KS Test
MB <- c(7.5,11.5,11.7,12.4,13.5,13.6,14.5,14.6,16.6,32.3,33.4,41.8,42.2,42.4,46.5,47.3,48.5,51.3,51.4,53.3,59.5,63.5,66.4,68.3,68.4,75.5,75.5,76.6,83.6)
SL <- c(12,15.2,22.6,23.2,29.2,31,32,35,39.3,42.4,42.8,48.5,51.3,52.7,53.4,58.7,59.5,62.6,65.2,68.4,72.1,75.6,77,83.5,90.1,91.9,92.7,100.2)
SUS <- c(25.5,30,31,36.7,36.8,37,37.5,39.5,42,43.5,45.5,48,49,50.5,52,54,54,55,55.5,56.5,56.7,58,59,59.5,61,61.5,62,63,64,67,71.5)
BOOM <- c(22,23,26.5,27,29.5,30,31,32.5,32,34,34.5,37,41.5,43,47,48,48,48.5,51.5,56,57.5,57.5,60,60.5,61.5,62,65,66,67,74,77.5)     


ks.test(MB,SL)
ks.test(MB,SUS)
ks.test(MB,BOOM)
ks.test(SL,SUS)
ks.test(SL,BOOM)
ks.test(SUS,BOOM)


